Skip to main content
GET
/
api
/
v1
/
query-fan-out
/
aggregated
List Query Fan-Out Metrics
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/query-fan-out/aggregated \
  --header 'Authorization: Bearer <token>'
{
  "total": 123,
  "items": [
    {
      "text": "<string>",
      "keyword_text": "<string>",
      "keyword_id": "<string>",
      "query_fan_out_id": "<string>",
      "urls": [
        "<string>"
      ],
      "source": "Bing",
      "period": "current",
      "stability_index": [
        {
          "collect_id": "<string>",
          "present": true,
          "order": 123
        }
      ],
      "domain_presence": "NEW",
      "intents": [
        {
          "group": "DECISION_MAKING",
          "sub_group": "BUYER_GUIDE"
        }
      ],
      "keyword_score": 123,
      "keyword_type": "<string>",
      "keyword_persona_id": "<string>",
      "keyword_funnel_stage": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sources
enum<string>[]
Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
keyword_type
enum<string>[] | null
Available options:
Generic,
Brand
collect_ids
string<uuid>[]
required

List of collect IDs to filter, at least one collect is required.

Minimum array length: 1
prev_collect_ids
string<uuid>[] | null
funnel_stages
enum<string>[] | null
Available options:
ToFu,
MoFu,
BoFu
topic_ids
string[] | null
persona_ids
string[] | null
strength_ids
string[] | null
weakness_ids
string[] | null
intents_groups
enum<string>[] | null
Available options:
DECISION_MAKING,
COMPARATIVE,
EXPLORATORY,
PRODUCT_SPECS,
SOCIAL_PROOF,
UNKNOWN
intents_sub_groups
enum<string>[] | null
Available options:
BUYER_GUIDE,
PRICING,
VALUE_FOR_MONEY,
BEST_FOR_PERSONA,
COMPARISON,
X_VS_Y,
ALTERNATIVES,
PROS_CONS,
TOP_LISTS,
DEFINITION,
HOW_IT_WORKS,
PITFALLS,
GLOSSARY,
TECHNICAL_SPECS,
FEATURE_LISTS,
COMPATIBILITY,
PERFORMANCE_METRICS,
REVIEWS,
EXPERT_OPINION,
TRENDS,
CASE_STUDIES,
UNKNOWN
keyword_ids
string[] | null

Filter by keyword IDs

page_number
integer | null
rows_per_page
integer | null
search_query
string | null
sort_column
enum<string> | null
Available options:
text,
keyword_text,
source,
domain_presence,
intent_sub_group,
nb_urls,
stability_index
sort_direction
enum<string> | null
Available options:
asc,
desc
group_by
enum<string> | null
default:default
Available options:
default,
keyword,
query_fan_out
client_id
string
required

Client id

project_id
string
required

Project Id

thematics
string[]
required

Thematic

Response

Successful Response

total
integer
required
items
AggregatedQueryFanOutResponse · object[]
required